# Local idea job status

```http
GET https://api.synup.com/api/v4/local-post-ideas/idea-job-status
```

Returns the async job status for a post idea (used to poll image generation) — the current status and, when ready, the generated image URL.

Source: https://developer.synup.com/api/local-post-ideas/local-idea-job-status

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `ideaId` | string | required | ID of the post idea. |

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/local-post-ideas/idea-job-status' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
